export default {
  bizCode: "appinfo",
  name: "用户信息维护",
  list: [
    { title: 'APPKEY', key: 'appkey', sortable: true, insearch: false},//slot--自定义列   insearch--是否快速查询
    { title: '名称', key: 'name', sortable: true, insearch: true},//slot--自定义列   insearch--是否快速查询
    { title: '域名', key: 'domainName', sortable: true, insearch: true},//slot--自定义列   insearch--是否快速查询
    { title: '服务', key: 'backend', sortable: true, insearch: true},//slot--自定义列   insearch--是否快速查询
    { title: '创建时间', key: 'created_at' ,slot:'created_at' },
    {
      title: '操作',
      key: 'handle',
      button: [//这个数组中内容，需要按照权限字符串，在服务端构造
      ]
    }
  ],
  "form": {
    name: "应用信息",
    main: [
        {
          "title":"关键信息",
          cols:3,
           ctls:[
             { "type": "input", "label": "应用名称", "prop": "name", "placeHolder": "请输入昵称", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
             { "type": "input", "label": "路由域名", "prop": "domainName", "placeHolder": "请输入邮件", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
             { "type": "input", "label": "后端服务", "prop": "backend", "placeHolder": "请输入帐户名", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
            //  { "type": "upload", "label": "功能清单", "prop": "functionUrl", "placeHolder": "请上传功能清单", "style": "", rules: [] },
           ]
        },
        {
          "title":"功能清单",
          cols:1,
          ctls:[
             { "type": "textarea", "label": "功能清单", "prop": "functionJSON", "placeHolder": "请输入功能清单", "style": {width:"100%",height:"400px"}, rules: [{ validator: "validatex", trigger: "blur" }]},
            //  { "type": "upload", "label": "功能清单", "prop": "functionUrl", "placeHolder": "请上传功能清单", "style": "", rules: [] },
           ]
        },
    ],
    lists: [
      {
        title: "路由信息",
        bizCode: "route_info",
        packageName:"common",
        modelName:"route",
        isLazy:true,
        initWhere:{fieldName:"app_id",valueField:"id"}
      }
    ]
  },
  "search": {
    name: "search",
    main: [
      {
        "title": "基本信息",
        "key": "baseinfo",
        ctls: [
          { "type": "input", "label": "昵称", "prop": "name", "placeHolder": "请输入昵称", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
          { "type": "input", "label": "邮件", "prop": "domainName", "placeHolder": "请输入邮件", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
          { "type": "input", "label": "帐户", "prop": "backend", "placeHolder": "请输入帐户名", "style": "", rules: [{ "required": true, "message": '  ', "trigger": 'blur' },] },
      
          //  {"type":"select","refModel":"auth.role","isMulti":true,"label":"角色","prop":"roles","labelField":"name","valueField":"id","style":""},
        ]
      }
    ]

  },
  "auths": {
    "add": [
      { "icon": "ios-add-circle-outline", "title": "新增", "type": "text", "key": "create", "isOnGrid": true },
      { "icon": "ios-square-outline", "title": "保存", "type": "text", "key": "save", "isOnForm": true },
      { "icon": "ios-cloud-download-outline", "title": "下载", "type": "text", "key": "export", "isOnGrid": true },
    ],
    "edit": [
      { "icon": "ios-create-outline", "title": "修改", "type": "text", "key": "edit", "isInRow": true },
      { "icon": "ios-create-outline", "title": "功能", "type": "text", "key": "func", "isInRow": true }
    ],
    "delete": [
      { "icon": "ios-trash-outline", "title": "删除", "type": "text", "key": "deletes", "isOnGrid": true },
      { "icon": "ios-trash-outline", "title": "删除", "type": "text", "key": "delete", "isInRow": true },
    ],
    "common": [
      { "icon": "ios-undo-outline", "title": "取消", "type": "text", "key": "cancel", "isOnForm": true },
      { "icon": "ios-undo-outline", "title": "取消", "type": "text", "key": "cancel-search", "isInSearch": true },
      { "icon": "ios-search-outline", "title": "搜索", "type": "text", "key": "start-search", "isInSearch": true },
      { "icon": "ios-search-outline", "title": "高级", "type": "text", "key": "adv-search", "isOnGrid": true },
    ],
  }
}
